(define-module (rekahsoft guix-config manual laptop-dell-precision)
  #:use-module (gnu)
  #:use-module (gnu system)
  #:use-module (gnu services xorg)
  #:use-module (nongnu packages nvidia)
  #:use-module (nongnu packages linux)
  #:use-module (nongnu services nvidia)
  #:use-module (rekahsoft guix-config desktop)
  #:export (%system))

(define base-system (rkd-desktop "rekahsoft-little" "43e2445a-bcb8-4ade-a2b1-40bc311034f6" "7C07-B4DE"))

(define %system
  (operating-system
   (inherit base-system)

   ;; Use linux@6.1 (lts) kernel as nvidia does not yet build on 6.6
   ;; See: https://gitlab.com/nonguix/nonguix/-/issues/298
   (kernel linux-lts)

   (services
    (append
     (list (service nvidia-service-type)
           (set-xorg-configuration
            (xorg-configuration
             (modules (cons* nvidia-driver %default-xorg-modules))
             (drivers '("nvidia" "intel"))
             (keyboard-layout (operating-system-keyboard-layout base-system)))))
     %rkd-desktop-services))))
