(define-module (rekahsoft guix-config proxmox-vm-legacy)
  #:use-module (gnu)
  #:use-module (gnu packages)
  #:use-module (rekahsoft guix-config proxmox-vm-lvm-minimal)
  #:export (%proxmox-vm-legacy-services
            proxmox-vm-legacy))

(define %proxmox-vm-legacy-services %proxmox-vm-lvm-minimal-services)

;; "Legacy" vm's do not use lvm, but are all based on the same image (therefore, same root uuid)
(define (proxmox-vm-legacy host-name)
  (let ((base-system (proxmox-vm-lvm-minimal host-name)))
    (operating-system
     (inherit base-system)

     (file-systems
      (cons* (file-system
              (mount-point "/")
              (device
               (uuid "f354b908-fd6f-46c9-931b-2bebaac61b56"
                     'ext4))
              (type "ext4"))
             %base-file-systems))

     (swap-devices
      (list (swap-space (target "/dev/sda2"))))

     (mapped-devices '()))))
