(define-module (rekahsoft guix-config vms loki-home-rekahsoft-ca)
  #:use-module (gnu)
  #:use-module (gnu system)
  #:use-module (gnu packages shells)
  #:use-module (gnu services docker)
  #:use-module (rekahsoft guix-config proxmox-vm-legacy)
  #:export (%system))

(define base-system (proxmox-vm-legacy "loki"))

(define %system
  (operating-system
   (inherit base-system)
   (users (cons*
           (user-account
            (name "collin")
            (comment "Master User")
            (group "users")
	    (shell #~(string-append #$zsh "/bin/zsh"))
            (supplementary-groups
             '("wheel" "netdev" "audio" "video" "docker"))
            (home-directory "/home/collin"))
           (operating-system-users base-system)))
   (packages
    (append
     (map specification->package
          '("docker-compose"))
     (operating-system-packages base-system)))
   (services
    (append
     (list (service docker-service-type))
     %proxmox-vm-legacy-services))))
