(define-module (rekahsoft guix-config vms postgres-home-rekahsoft-ca)
  #:use-module (gnu)
  #:use-module (gnu system)
  #:use-module (gnu packages shells)
  #:use-module (gnu packages databases)
  #:use-module (gnu services databases)
  #:use-module (rekahsoft guix-config proxmox-vm-legacy)
  #:export (%system))

(define base-system (proxmox-vm-legacy "postgres"))

(define postgres-hba
  (plain-file "pg_hba.conf"
              "
local	all	all			peer
host	all	all	127.0.0.1/32 	md5
host	all	all	::1/128 	md5
host	all	all	172.16.0.0/20	md5"))

(define %system
  (operating-system
   (inherit base-system)
   (users (cons*
           (user-account
            (name "collin")
            (comment "Master User")
            (group "users")
	    (shell #~(string-append #$zsh "/bin/zsh"))
            (supplementary-groups
             '("wheel" "netdev" "audio" "video"))
            (home-directory "/home/collin"))
           (operating-system-users base-system)))
   (services
    (append
     (list (service postgresql-service-type
                    (postgresql-configuration
                     (postgresql postgresql-10)
                     (config-file (postgresql-config-file
			           (hba-file postgres-hba)
			           (extra-config
			            '(("listen_addresses" "*"))))))))
     %proxmox-vm-legacy-services))))
